diff --git a/ui/src/components/comment-node.tsx b/ui/src/components/comment-node.tsx
index 527cad89..07afaea3 100644
--- a/ui/src/components/comment-node.tsx
+++ b/ui/src/components/comment-node.tsx
@@ -204,7 +204,7 @@ export class CommentNode extends Component<CommentNodeProps, CommentNodeState> {
                 </>
               )}
               <button
-                class="btn btn-sm text-muted"
+                class="btn text-muted"
                 onClick={linkEvent(this, this.handleCommentCollapse)}
               >
                 {this.state.collapsed ? (
@@ -220,7 +220,7 @@ export class CommentNode extends Component<CommentNodeProps, CommentNodeState> {
               {/* This is an expanding spacer for mobile */}
               <div className="mr-lg-4 flex-grow-1 flex-lg-grow-0 unselectable pointer mx-2"></div>
               <button
-                className={`btn btn-sm p-0 unselectable pointer ${this.scoreColor}`}
+                className={`btn p-0 unselectable pointer ${this.scoreColor}`}
                 onClick={linkEvent(node, this.handleCommentUpvote)}
                 data-tippy-content={this.pointsTippy}
               >
diff --git a/ui/src/components/communities.tsx b/ui/src/components/communities.tsx
index ba362acc..5abb949b 100644
--- a/ui/src/components/communities.tsx
+++ b/ui/src/components/communities.tsx
@@ -157,7 +157,7 @@ export class Communities extends Component<any, CommunitiesState> {
       <div class="mt-2">
         {this.state.page > 1 && (
           <button
-            class="btn btn-sm btn-secondary mr-1"
+            class="btn btn-secondary mr-1"
             onClick={linkEvent(this, this.prevPage)}
           >
             {i18n.t('prev')}
@@ -166,7 +166,7 @@ export class Communities extends Component<any, CommunitiesState> {
 
         {this.state.communities.length > 0 && (
           <button
-            class="btn btn-sm btn-secondary"
+            class="btn btn-secondary"
             onClick={linkEvent(this, this.nextPage)}
           >
             {i18n.t('next')}
diff --git a/ui/src/components/community.tsx b/ui/src/components/community.tsx
index f4610a08..0782bd57 100644
--- a/ui/src/components/community.tsx
+++ b/ui/src/components/community.tsx
@@ -271,7 +271,7 @@ export class Community extends Component<any, State> {
       <div class="my-2">
         {this.state.page > 1 && (
           <button
-            class="btn btn-sm btn-secondary mr-1"
+            class="btn btn-secondary mr-1"
             onClick={linkEvent(this, this.prevPage)}
           >
             {i18n.t('prev')}
@@ -279,7 +279,7 @@ export class Community extends Component<any, State> {
         )}
         {this.state.posts.length > 0 && (
           <button
-            class="btn btn-sm btn-secondary"
+            class="btn btn-secondary"
             onClick={linkEvent(this, this.nextPage)}
           >
             {i18n.t('next')}
diff --git a/ui/src/components/data-type-select.tsx b/ui/src/components/data-type-select.tsx
index d16c785d..faa7a460 100644
--- a/ui/src/components/data-type-select.tsx
+++ b/ui/src/components/data-type-select.tsx
@@ -35,7 +35,7 @@ export class DataTypeSelect extends Component<
     return (
       <div class="btn-group btn-group-toggle">
         <label
-          className={`pointer btn btn-sm btn-secondary 
+          className={`pointer btn btn-outline-secondary 
             ${this.state.type_ == DataType.Post && 'active'}
           `}
         >
@@ -48,7 +48,7 @@ export class DataTypeSelect extends Component<
           {i18n.t('posts')}
         </label>
         <label
-          className={`pointer btn btn-sm btn-secondary ${
+          className={`pointer btn btn-outline-secondary ${
             this.state.type_ == DataType.Comment && 'active'
           }`}
         >
diff --git a/ui/src/components/iframely-card.tsx b/ui/src/components/iframely-card.tsx
index 0d3f43f6..1a47f377 100644
--- a/ui/src/components/iframely-card.tsx
+++ b/ui/src/components/iframely-card.tsx
@@ -29,7 +29,7 @@ export class IFramelyCard extends Component<
     return (
       <>
         {post.embed_title && !this.state.expanded && (
-          <div class="card mt-3 mb-2">
+          <div class="card bg-transparent border-secondary mt-3 mb-2">
             <div class="row">
               <div class="col-12">
                 <div class="card-body">
diff --git a/ui/src/components/inbox.tsx b/ui/src/components/inbox.tsx
index 66a3d676..907e9bcc 100644
--- a/ui/src/components/inbox.tsx
+++ b/ui/src/components/inbox.tsx
@@ -147,7 +147,7 @@ export class Inbox extends Component<any, InboxState> {
     return (
       <div class="btn-group btn-group-toggle">
         <label
-          className={`btn btn-sm btn-secondary pointer
+          className={`btn btn-outline-secondary pointer
             ${this.state.unreadOrAll == UnreadOrAll.Unread && 'active'}
           `}
         >
@@ -160,7 +160,7 @@ export class Inbox extends Component<any, InboxState> {
           {i18n.t('unread')}
         </label>
         <label
-          className={`btn btn-sm btn-secondary pointer
+          className={`btn btn-outline-secondary pointer
             ${this.state.unreadOrAll == UnreadOrAll.All && 'active'}
           `}
         >
@@ -180,7 +180,7 @@ export class Inbox extends Component<any, InboxState> {
     return (
       <div class="btn-group btn-group-toggle">
         <label
-          className={`btn btn-sm btn-secondary pointer btn-outline-light
+          className={`btn btn-outline-secondary pointer 
             ${this.state.messageType == MessageType.All && 'active'}
           `}
         >
@@ -193,7 +193,7 @@ export class Inbox extends Component<any, InboxState> {
           {i18n.t('all')}
         </label>
         <label
-          className={`btn btn-sm btn-secondary pointer btn-outline-light
+          className={`btn btn-outline-secondary pointer 
             ${this.state.messageType == MessageType.Replies && 'active'}
           `}
         >
@@ -206,7 +206,7 @@ export class Inbox extends Component<any, InboxState> {
           {i18n.t('replies')}
         </label>
         <label
-          className={`btn btn-sm btn-secondary pointer btn-outline-light
+          className={`btn btn-outline-secondary pointer 
             ${this.state.messageType == MessageType.Mentions && 'active'}
           `}
         >
@@ -219,7 +219,7 @@ export class Inbox extends Component<any, InboxState> {
           {i18n.t('mentions')}
         </label>
         <label
-          className={`btn btn-sm btn-secondary pointer btn-outline-light
+          className={`btn btn-outline-secondary pointer 
             ${this.state.messageType == MessageType.Messages && 'active'}
           `}
         >
@@ -326,7 +326,7 @@ export class Inbox extends Component<any, InboxState> {
       <div class="mt-2">
         {this.state.page > 1 && (
           <button
-            class="btn btn-sm btn-secondary mr-1"
+            class="btn btn-secondary mr-1"
             onClick={linkEvent(this, this.prevPage)}
           >
             {i18n.t('prev')}
@@ -334,7 +334,7 @@ export class Inbox extends Component<any, InboxState> {
         )}
         {this.unreadCount() > 0 && (
           <button
-            class="btn btn-sm btn-secondary"
+            class="btn btn-secondary"
             onClick={linkEvent(this, this.nextPage)}
           >
             {i18n.t('next')}
diff --git a/ui/src/components/listing-type-select.tsx b/ui/src/components/listing-type-select.tsx
index e9b5a031..62af7148 100644
--- a/ui/src/components/listing-type-select.tsx
+++ b/ui/src/components/listing-type-select.tsx
@@ -36,7 +36,7 @@ export class ListingTypeSelect extends Component<
     return (
       <div class="btn-group btn-group-toggle">
         <label
-          className={`btn btn-sm btn-secondary 
+          className={`btn btn-outline-secondary 
             ${this.state.type_ == ListingType.Subscribed && 'active'}
             ${UserService.Instance.user == undefined ? 'disabled' : 'pointer'}
           `}
@@ -51,7 +51,7 @@ export class ListingTypeSelect extends Component<
           {i18n.t('subscribed')}
         </label>
         <label
-          className={`pointer btn btn-sm btn-secondary ${
+          className={`pointer btn btn-outline-secondary ${
             this.state.type_ == ListingType.All && 'active'
           }`}
         >
diff --git a/ui/src/components/main.tsx b/ui/src/components/main.tsx
index c67a87cf..785fab8c 100644
--- a/ui/src/components/main.tsx
+++ b/ui/src/components/main.tsx
@@ -195,7 +195,7 @@ export class Main extends Component<any, MainState> {
       <div>
         {!this.state.loading && (
           <div>
-            <div class="card border-secondary mb-3">
+            <div class="card bg-transparent border-secondary mb-3">
               <div class="card-body">
                 {this.trendingCommunities()}
                 {UserService.Instance.user &&
@@ -226,7 +226,7 @@ export class Main extends Component<any, MainState> {
                     </div>
                   )}
                 <Link
-                  class="btn btn-sm btn-secondary btn-block"
+                  class="btn btn-secondary btn-block"
                   to="/create_community"
                 >
                   {i18n.t('create_a_community')}
@@ -295,7 +295,7 @@ export class Main extends Component<any, MainState> {
   siteInfo() {
     return (
       <div>
-        <div class="card border-secondary mb-3">
+        <div class="card bg-transparent border-secondary mb-3">
           <div class="card-body">
             <h5 class="mb-0">{`${this.state.siteRes.site.name}`}</h5>
             {this.canAdmin && (
@@ -315,32 +315,32 @@ export class Main extends Component<any, MainState> {
             )}
             <ul class="my-2 list-inline">
               {/*
-              <li className="list-inline-item badge badge-secondary">
+              <li className="list-inline-item badge badge-light">
                 {i18n.t('number_online', { count: this.state.siteRes.online })}
               </li>
               */}
-              <li className="list-inline-item badge badge-secondary">
+              <li className="list-inline-item badge badge-light">
                 {i18n.t('number_of_users', {
                   count: this.state.siteRes.site.number_of_users,
                 })}
               </li>
-              <li className="list-inline-item badge badge-secondary">
+              <li className="list-inline-item badge badge-light">
                 {i18n.t('number_of_communities', {
                   count: this.state.siteRes.site.number_of_communities,
                 })}
               </li>
-              <li className="list-inline-item badge badge-secondary">
+              <li className="list-inline-item badge badge-light">
                 {i18n.t('number_of_posts', {
                   count: this.state.siteRes.site.number_of_posts,
                 })}
               </li>
-              <li className="list-inline-item badge badge-secondary">
+              <li className="list-inline-item badge badge-light">
                 {i18n.t('number_of_comments', {
                   count: this.state.siteRes.site.number_of_comments,
                 })}
               </li>
               <li className="list-inline-item">
-                <Link className="badge badge-secondary" to="/modlog">
+                <Link className="badge badge-light" to="/modlog">
                   {i18n.t('modlog')}
                 </Link>
               </li>
@@ -364,7 +364,7 @@ export class Main extends Component<any, MainState> {
           </div>
         </div>
         {this.state.siteRes.site.description && (
-          <div class="card border-secondary mb-3">
+          <div class="card bg-transparent border-secondary mb-3">
             <div class="card-body">
               <div
                 className="md-div"
@@ -381,7 +381,7 @@ export class Main extends Component<any, MainState> {
 
   landing() {
     return (
-      <div class="card border-secondary">
+      <div class="card bg-transparent border-secondary">
         <div class="card-body">
           <h5>
             {i18n.t('powered_by')}
@@ -517,7 +517,7 @@ export class Main extends Component<any, MainState> {
       <div class="my-2">
         {this.state.page > 1 && (
           <button
-            class="btn btn-sm btn-secondary mr-1"
+            class="btn btn-secondary mr-1"
             onClick={linkEvent(this, this.prevPage)}
           >
             {i18n.t('prev')}
@@ -525,7 +525,7 @@ export class Main extends Component<any, MainState> {
         )}
         {this.state.posts.length > 0 && (
           <button
-            class="btn btn-sm btn-secondary"
+            class="btn btn-secondary"
             onClick={linkEvent(this, this.nextPage)}
           >
             {i18n.t('next')}
diff --git a/ui/src/components/markdown-textarea.tsx b/ui/src/components/markdown-textarea.tsx
index 0e16e7e8..237ef9ff 100644
--- a/ui/src/components/markdown-textarea.tsx
+++ b/ui/src/components/markdown-textarea.tsx
@@ -125,7 +125,7 @@ export class MarkdownTextArea extends Component<
             />
             {this.state.previewMode && (
               <div
-                className="card card-body md-div"
+                className="card bg-transparent border-secondary card-body md-div"
                 dangerouslySetInnerHTML={mdToHtml(this.state.content)}
               />
             )}
diff --git a/ui/src/components/modlog.tsx b/ui/src/components/modlog.tsx
index 9a5131c9..58f4aad5 100644
--- a/ui/src/components/modlog.tsx
+++ b/ui/src/components/modlog.tsx
@@ -384,14 +384,14 @@ export class Modlog extends Component<any, ModlogState> {
       <div class="mt-2">
         {this.state.page > 1 && (
           <button
-            class="btn btn-sm btn-secondary mr-1"
+            class="btn btn-secondary mr-1"
             onClick={linkEvent(this, this.prevPage)}
           >
             {i18n.t('prev')}
           </button>
         )}
         <button
-          class="btn btn-sm btn-secondary"
+          class="btn btn-secondary"
           onClick={linkEvent(this, this.nextPage)}
         >
           {i18n.t('next')}
diff --git a/ui/src/components/navbar.tsx b/ui/src/components/navbar.tsx
index d5483209..dbcfc1a5 100644
--- a/ui/src/components/navbar.tsx
+++ b/ui/src/components/navbar.tsx
@@ -150,179 +150,181 @@ export class Navbar extends Component<any, NavbarState> {
   // TODO class active corresponding to current page
   navbar() {
     return (
-      <nav class="container-fluid navbar navbar-expand-md navbar-light shadow p-0 px-3">
-        <Link title={this.state.version} class="navbar-brand" to="/">
-          {this.state.siteName}
-        </Link>
-        {this.state.isLoggedIn && (
-          <Link
-            class="ml-auto p-0 navbar-toggler nav-link"
-            to="/inbox"
-            title={i18n.t('inbox')}
-          >
-            <svg class="icon">
-              <use xlinkHref="#icon-bell"></use>
-            </svg>
-            {this.state.unreadCount > 0 && (
-              <span class="ml-1 badge badge-light">
-                {this.state.unreadCount}
-              </span>
-            )}
+      <nav class="navbar navbar-expand-lg navbar-light shadow-sm p-0 px-3">
+        <div class="container">
+          <Link title={this.state.version} class="navbar-brand" to="/">
+            {this.state.siteName}
           </Link>
-        )}
-        <button
-          class="navbar-toggler"
-          type="button"
-          aria-label="menu"
-          onClick={linkEvent(this, this.expandNavbar)}
-          data-tippy-content={i18n.t('expand_here')}
-        >
-          <span class="navbar-toggler-icon"></span>
-        </button>
-        <div
-          className={`${!this.state.expanded && 'collapse'} navbar-collapse`}
-        >
-          <ul class="navbar-nav my-2 mr-auto">
-            <li class="nav-item">
-              <Link
-                class="nav-link"
-                to="/communities"
-                title={i18n.t('communities')}
-              >
-                {i18n.t('communities')}
-              </Link>
-            </li>
-            <li class="nav-item">
-              <Link
-                class="nav-link"
-                to={{
-                  pathname: '/create_post',
-                  state: { prevPath: this.currentLocation },
-                }}
-                title={i18n.t('create_post')}
-              >
-                {i18n.t('create_post')}
-              </Link>
-            </li>
-            <li class="nav-item">
-              <Link
-                class="nav-link"
-                to="/create_community"
-                title={i18n.t('create_community')}
-              >
-                {i18n.t('create_community')}
-              </Link>
-            </li>
-            <li className="nav-item">
-              <Link
-                class="nav-link"
-                to="/sponsors"
-                title={i18n.t('donate_to_lemmy')}
-              >
-                <svg class="icon">
-                  <use xlinkHref="#icon-coffee"></use>
-                </svg>
-              </Link>
-            </li>
-          </ul>
-          {!this.context.router.history.location.pathname.match(
-            /^\/search/
-          ) && (
-            <form
-              class="form-inline"
-              onSubmit={linkEvent(this, this.handleSearchSubmit)}
+          {this.state.isLoggedIn && (
+            <Link
+              class="ml-auto p-0 navbar-toggler nav-link border-0"
+              to="/inbox"
+              title={i18n.t('inbox')}
             >
-              <input
-                class={`form-control mr-0 search-input ${
-                  this.state.toggleSearch ? 'show-input' : 'hide-input'
-                }`}
-                onInput={linkEvent(this, this.handleSearchParam)}
-                value={this.state.searchParam}
-                ref={this.searchTextField}
-                type="text"
-                placeholder={i18n.t('search')}
-                onBlur={linkEvent(this, this.handleSearchBlur)}
-              ></input>
-              <button
-                name="search-btn"
-                onClick={linkEvent(this, this.handleSearchBtn)}
-                class="btn btn-link"
-                style="color: var(--gray)"
-              >
-                <svg class="icon">
-                  <use xlinkHref="#icon-search"></use>
-                </svg>
-              </button>
-            </form>
+              <svg class="icon">
+                <use xlinkHref="#icon-bell"></use>
+              </svg>
+              {this.state.unreadCount > 0 && (
+                <span class="ml-1 badge badge-light">
+                  {this.state.unreadCount}
+                </span>
+              )}
+            </Link>
           )}
-          <ul class="navbar-nav my-2">
-            {this.canAdmin && (
+          <button
+            class="navbar-toggler border-0"
+            type="button"
+            aria-label="menu"
+            onClick={linkEvent(this, this.expandNavbar)}
+            data-tippy-content={i18n.t('expand_here')}
+          >
+            <span class="navbar-toggler-icon"></span>
+          </button>
+          <div
+            className={`${!this.state.expanded && 'collapse'} navbar-collapse`}
+          >
+            <ul class="navbar-nav my-2 mr-auto">
+              <li class="nav-item">
+                <Link
+                  class="nav-link"
+                  to="/communities"
+                  title={i18n.t('communities')}
+                >
+                  {i18n.t('communities')}
+                </Link>
+              </li>
+              <li class="nav-item">
+                <Link
+                  class="nav-link"
+                  to={{
+                    pathname: '/create_post',
+                    state: { prevPath: this.currentLocation },
+                  }}
+                  title={i18n.t('create_post')}
+                >
+                  {i18n.t('create_post')}
+                </Link>
+              </li>
+              <li class="nav-item">
+                <Link
+                  class="nav-link"
+                  to="/create_community"
+                  title={i18n.t('create_community')}
+                >
+                  {i18n.t('create_community')}
+                </Link>
+              </li>
               <li className="nav-item">
                 <Link
                   class="nav-link"
-                  to={`/admin`}
-                  title={i18n.t('admin_settings')}
+                  to="/sponsors"
+                  title={i18n.t('donate_to_lemmy')}
                 >
                   <svg class="icon">
-                    <use xlinkHref="#icon-settings"></use>
+                    <use xlinkHref="#icon-coffee"></use>
                   </svg>
                 </Link>
               </li>
+            </ul>
+            {!this.context.router.history.location.pathname.match(
+              /^\/search/
+            ) && (
+              <form
+                class="form-inline"
+                onSubmit={linkEvent(this, this.handleSearchSubmit)}
+              >
+                <input
+                  class={`form-control mr-0 search-input ${
+                    this.state.toggleSearch ? 'show-input' : 'hide-input'
+                  }`}
+                  onInput={linkEvent(this, this.handleSearchParam)}
+                  value={this.state.searchParam}
+                  ref={this.searchTextField}
+                  type="text"
+                  placeholder={i18n.t('search')}
+                  onBlur={linkEvent(this, this.handleSearchBlur)}
+                ></input>
+                <button
+                  name="search-btn"
+                  onClick={linkEvent(this, this.handleSearchBtn)}
+                  class="btn btn-link"
+                  style="color: var(--gray)"
+                >
+                  <svg class="icon">
+                    <use xlinkHref="#icon-search"></use>
+                  </svg>
+                </button>
+              </form>
             )}
-          </ul>
-          {this.state.isLoggedIn ? (
-            <>
-              <ul class="navbar-nav my-2">
+            <ul class="navbar-nav my-2">
+              {this.canAdmin && (
                 <li className="nav-item">
-                  <Link class="nav-link" to="/inbox" title={i18n.t('inbox')}>
+                  <Link
+                    class="nav-link"
+                    to={`/admin`}
+                    title={i18n.t('admin_settings')}
+                  >
                     <svg class="icon">
-                      <use xlinkHref="#icon-bell"></use>
+                      <use xlinkHref="#icon-settings"></use>
                     </svg>
-                    {this.state.unreadCount > 0 && (
-                      <span class="ml-1 badge badge-light">
-                        {this.state.unreadCount}
-                      </span>
-                    )}
                   </Link>
                 </li>
-              </ul>
-              <ul class="navbar-nav">
+              )}
+            </ul>
+            {this.state.isLoggedIn ? (
+              <>
+                <ul class="navbar-nav my-2">
+                  <li className="nav-item">
+                    <Link class="nav-link" to="/inbox" title={i18n.t('inbox')}>
+                      <svg class="icon">
+                        <use xlinkHref="#icon-bell"></use>
+                      </svg>
+                      {this.state.unreadCount > 0 && (
+                        <span class="ml-1 badge badge-light">
+                          {this.state.unreadCount}
+                        </span>
+                      )}
+                    </Link>
+                  </li>
+                </ul>
+                <ul class="navbar-nav">
+                  <li className="nav-item">
+                    <Link
+                      class="nav-link"
+                      to={`/u/${UserService.Instance.user.username}`}
+                      title={i18n.t('settings')}
+                    >
+                      <span>
+                        {UserService.Instance.user.avatar && showAvatars() && (
+                          <img
+                            src={pictrsAvatarThumbnail(
+                              UserService.Instance.user.avatar
+                            )}
+                            height="32"
+                            width="32"
+                            class="rounded-circle mr-2"
+                          />
+                        )}
+                        {UserService.Instance.user.username}
+                      </span>
+                    </Link>
+                  </li>
+                </ul>
+              </>
+            ) : (
+              <ul class="navbar-nav my-2">
                 <li className="nav-item">
                   <Link
-                    class="nav-link"
-                    to={`/u/${UserService.Instance.user.username}`}
-                    title={i18n.t('settings')}
+                    class="btn btn-success"
+                    to="/login"
+                    title={i18n.t('login_sign_up')}
                   >
-                    <span>
-                      {UserService.Instance.user.avatar && showAvatars() && (
-                        <img
-                          src={pictrsAvatarThumbnail(
-                            UserService.Instance.user.avatar
-                          )}
-                          height="32"
-                          width="32"
-                          class="rounded-circle mr-2"
-                        />
-                      )}
-                      {UserService.Instance.user.username}
-                    </span>
+                    {i18n.t('login_sign_up')}
                   </Link>
                 </li>
               </ul>
-            </>
-          ) : (
-            <ul class="navbar-nav my-2">
-              <li className="nav-item">
-                <Link
-                  class="nav-link"
-                  to="/login"
-                  title={i18n.t('login_sign_up')}
-                >
-                  {i18n.t('login_sign_up')}
-                </Link>
-              </li>
-            </ul>
-          )}
+            )}
+          </div>
         </div>
       </nav>
     );
